> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paybyrd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new webhook setting

> This endpoint allows you to configure more than one address for webhooks notifications.



## OpenAPI

````yaml /openapi.yml post /api/v2/webhooks
openapi: 3.0.3
info:
  title: Gateway API
  version: v2
  contact:
    name: Support
    email: support@paybyrd.com
  license:
    name: Copyright © Paybyrd
  termsOfService: https://paybyrd.com/en/privacy
servers:
  - url: https://gateway.paybyrd.com
    description: Production
security:
  - authByApiKey: []
paths:
  /api/v2/webhooks:
    post:
      tags:
        - Webhooks
      summary: Creates a new webhook setting
      description: >-
        This endpoint allows you to configure more than one address for webhooks
        notifications.
      operationId: api-webhook-create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhookRequest'
            examples:
              Request Example:
                $ref: '#/components/examples/CreateWebhookRequestExample'
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  $ref: '#/components/examples/WebhookResponseExample'
              schema:
                $ref: '#/components/schemas/WebhookResponse'
components:
  schemas:
    CreateWebhookRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          description: Your server URL to receive the notifications from Paybyrd
    WebhookResponse:
      type: object
      properties:
        id:
          type: string
          example: 8668e1dc-3f0c-407d-9aff-f5dda1ee8eaf
        url:
          type: string
          example: https://your-url.com/webhook
        webhookUser:
          type: string
          example: b73e9449-e1dc-485a-b4c7-19c540e96cd1
        webhookPassword:
          type: string
          example: '@bc123'
        events:
          type: array
          items:
            type: string
  examples:
    CreateWebhookRequestExample:
      value:
        url: https://your-url.com/webhook
    WebhookResponseExample:
      value:
        id: 8668e1dc-3f0c-407d-9aff-f5dda1ee8eaf
        url: https://your-url.com/webhook
        webhookUser: b73e9449-e1dc-485a-b4c7-19c540e96cd1
        webhookPassword: '@bc123'
        events: []
  securitySchemes:
    authByApiKey:
      type: apiKey
      in: header
      name: x-api-key

````